Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.addressing
Class AddressingFaultsHelper

    java.lang.Object
      org.apache.axis2.addressing.AddressingFaultsHelper

    public class AddressingFaultsHelper

extends Object

Constructor Summary
`AddressingFaultsHelper()`

Method Summary
`static org.apache.axiom.om.OMElement` | `getDetailElementForAddressingFault(MessageContext messageContext, org.apache.axiom.om.OMNamespace addressingNamespaceObject)`
`static String` | `getMessageForAxisFault(String faultCodeLocalName, String faultDetail)` Build an understanndable fault string for the given faultCode and wsa:FaultDetail info.
`static void` | `triggerActionMismatchFault(MessageContext messageContext, String soapAction, String wsaAction)`
`static void` | `triggerActionNotSupportedFault(MessageContext messageContext, String problemAction)`
`static void` | `triggerDestinationUnreachableFault(MessageContext messageContext, String address)`
`static void` | `triggerInvalidCardinalityFault(MessageContext messageContext, String incorrectHeaderName)`
`static void` | `triggerInvalidEPRFault(MessageContext messageContext, String incorrectHeaderName)`
`static void` | `triggerMessageAddressingRequiredFault(MessageContext messageContext, String missingHeaderName)`
`static void` | `triggerMissingAddressInEPRFault(MessageContext messageContext, String incorrectHeaderName)`
`static void` | `triggerOnlyAnonymousAddressSupportedFault(MessageContext messageContext, String incorrectHeaderName)`
`static void` | `triggerOnlyNonAnonymousAddressSupportedFault(MessageContext messageContext, String incorrectHeaderName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddressingFaultsHelper

    public AddressingFaultsHelper()

Method Detail

### getMessageForAxisFault

    public static String getMessageForAxisFault(String faultCodeLocalName,
                                                String faultDetail)

  Build an understanndable fault string for the given faultCode and wsa:FaultDetail info. Should really use a message bundle.

  Parameters:
    `faultCodeLocalName` -
    `faultDetail` -
  Returns:

### triggerInvalidEPRFault

    public static void triggerInvalidEPRFault(MessageContext messageContext,
                                              String incorrectHeaderName)
                                       throws AxisFault

  Throws:
    `AxisFault`

### triggerInvalidCardinalityFault

    public static void triggerInvalidCardinalityFault(MessageContext messageContext,
                                                      String incorrectHeaderName)
                                               throws AxisFault

  Throws:
    `AxisFault`

### triggerMissingAddressInEPRFault

    public static void triggerMissingAddressInEPRFault(MessageContext messageContext,
                                                       String incorrectHeaderName)
                                                throws AxisFault

  Throws:
    `AxisFault`

### triggerActionMismatchFault

    public static void triggerActionMismatchFault(MessageContext messageContext,
                                                  String soapAction,
                                                  String wsaAction)
                                           throws AxisFault

  Throws:
    `AxisFault`

### triggerOnlyAnonymousAddressSupportedFault

    public static void triggerOnlyAnonymousAddressSupportedFault(MessageContext messageContext,
                                                                 String incorrectHeaderName)
                                                          throws AxisFault

  Throws:
    `AxisFault`

### triggerOnlyNonAnonymousAddressSupportedFault

    public static void triggerOnlyNonAnonymousAddressSupportedFault(MessageContext messageContext,
                                                                    String incorrectHeaderName)
                                                             throws AxisFault

  Throws:
    `AxisFault`

### triggerMessageAddressingRequiredFault

    public static void triggerMessageAddressingRequiredFault(MessageContext messageContext,
                                                             String missingHeaderName)
                                                      throws AxisFault

  Throws:
    `AxisFault`

### triggerDestinationUnreachableFault

    public static void triggerDestinationUnreachableFault(MessageContext messageContext,
                                                          String address)
                                                   throws AxisFault

  Throws:
    `AxisFault`

### triggerActionNotSupportedFault

    public static void triggerActionNotSupportedFault(MessageContext messageContext,
                                                      String problemAction)
                                               throws AxisFault

  Throws:
    `AxisFault`

### getDetailElementForAddressingFault

    public static org.apache.axiom.om.OMElement getDetailElementForAddressingFault(MessageContext messageContext,
                                                                                   org.apache.axiom.om.OMNamespace addressingNamespaceObject)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.